/*
 * $RCSfile: util.c,v $
 * $Author: swaj $
 * $Revision: 1.4 $
 */


/*
 * Was written by Alexey Semenoff (c) 2001-2006
 * See COPYING for copyiright policy
 */


#define _GNU_SOURCE

#ifdef _WIN32
#include "win32.h"
#endif


#include <stdio.h>
#include <string.h>
#include <errno.h>

#ifndef _WIN32
#include <stdint.h>
#endif

#include <stdlib.h>


#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "defines.h"
#include "debugging.h"

#include "util.h"



pointer smalloc(size_t size)
{
        pointer p;
        unless ((p = malloc(size)))
                return NULL;

        memset (p, 0x0, size);
        return p;
}
        

void sfree (pointer p)
{
        unless (p) {
                DBG("free() with null pointer");
                return;
        }       
        
        free(p);
        p = 0;
}



	
/* __END__ */
