/*
 * $RCSfile: libunicode.h,v $
 * $Author: swaj $
 * $Revision: 1.5 $  
 */

/*
 * Was written by Alexey Semenoff (c) 2001-2006
 * See COPYING for copyiright policy
 */

#ifndef __LIBUNICODE_H_
#define __LIBUNICODE_H_ 1


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


typedef uint8_t utf8;

typedef uint32_t utf32;


int utf8_strlen (utf8* u);
int utf8_strncmp (utf8* s, utf8* d, int l);
utf32* utf8_to_utf32 (utf8* u);
utf32* utf8_to_utf32_ninplace (utf8* u, utf32 *d, int n);
int utf32_strlen (utf32* u);
int utf32_strnlen (utf32* u, int l);
int utf32_strncmp (utf32* s, utf32* d, int len);

#define REPLACE_CHAR '?'




#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __LIBUNICODE_H_ */
